<sentinel-controls class="to-assign-controls"
                   [controls]="rolesToAssignControls"
                   (itemClicked)="onControlAction($event)">
</sentinel-controls>
<mat-card appearance="outlined">
  <mat-card-header>
    <div mat-card-avatar>
      <mat-icon color="primary">add_circle_outline</mat-icon>
    </div>
    <mat-card-title>Add roles</mat-card-title>
    <mat-card-subtitle>Add roles to {{ resource?.name }} group </mat-card-subtitle>
  </mat-card-header>
  <mat-card-content>
    <sentinel-resource-selector
      searchPlaceholder="Search roles by name"
      [resources]="roles$ | async"
      [selected]="selectedRolesToAssign$ | async"
      [resourceMapping]="roleMapping"
      (selectionChange)="onRolesToAssignSelection($event)"
      (fetch)="search($event)">
    </sentinel-resource-selector>
  </mat-card-content>
</mat-card>

<sentinel-controls class="assigned-controls"
                   [controls]="assignedRolesControls"
                   (itemClicked)="onControlAction($event)">
</sentinel-controls>
<mat-card appearance="outlined">
  <mat-card-header>
    <div mat-card-avatar>
      <mat-icon color="primary">policy</mat-icon>
    </div>
    <mat-card-title> Roles of group {{ resource?.name }}</mat-card-title>
  </mat-card-header>
  <mat-card-content>
    <sentinel-table elevation="0"
                 [defaultSortName]="ROLES_OF_GROUP_INIT_SORT_NAME"
                 [defaultSortDirection]="ROLES_OF_GROUP_INIT_SORT_DIR"
                 [hasError]="assignedRolesHasError$ | async"
                 [data]="assignedRoles$ | async"
                 [isLoading]="isLoadingAssignedRoles$ | async"
                 (tableLoad)="onAssignedRolesLoad($event)"
                 (rowAction)="onAssignedRolesTableAction($event)"
                 (rowSelection)="onAssignedRolesSelection($event)">
    </sentinel-table>
  </mat-card-content>
</mat-card>
